
import 'package:easynetflutter/easynet/log/Logger.dart';
import 'package:easynetflutter/easynet/model/Destination.dart';
import 'package:easynetflutter/easynet/widget/LifecycleWatcherState.dart';
import 'package:flutter/material.dart';

abstract class PageStatefulBase extends StatefulWidget{
  const PageStatefulBase({ Key key, this.destination }) : super(key: key);

  static Map<String, Logger> mapLogger = Map();
  final Destination destination;

  @protected
  Logger getLogger() {
    String className = this.toString();
    if (mapLogger.containsKey(className)) {
      return mapLogger[className];
    }
    Logger logger = Logger(className: this.toString());
    mapLogger[className] = logger;
    return logger;
  }

}